Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.ls
Class LSException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.w3c.dom.ls.LSException

All Implemented Interfaces:
  java.io.Serializable

public class LSException
extends java.lang.RuntimeException

Parser or write operations may throw an `LSException` if the processing is stopped. The processing can be stopped due to a `DOMError` with a severity of `DOMError.SEVERITY_FATAL_ERROR` or a non recovered `DOMError.SEVERITY_ERROR`, or if `DOMErrorHandler.handleError()` returned `false`.

Note: As suggested in the definition of the constants in the `DOMError` interface, a DOM implementation may choose to continue after a fatal error, but the resulting DOM tree is then implementation dependent.

See also the Document Object Model (DOM) Level 3 Load and Save Specification.

See Also:
  Serialized Form

Field Summary
`short` | `code`
`static short` | `PARSE_ERR` If an attempt was made to load a document, or an XML Fragment, using `LSParser` and the processing has been stopped.
`static short` | `SERIALIZE_ERR` If an attempt was made to serialize a `Node` using `LSSerializer` and the processing has been stopped.

Constructor Summary
`LSException(short code, java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    public short code

### PARSE_ERR

    public static final short PARSE_ERR

  If an attempt was made to load a document, or an XML Fragment, using `LSParser` and the processing has been stopped.
  See Also:
    Constant Field Values

### SERIALIZE_ERR

    public static final short SERIALIZE_ERR

  If an attempt was made to serialize a `Node` using `LSSerializer` and the processing has been stopped.
  See Also:
    Constant Field Values

Constructor Detail

### LSException

    public LSException(short code,
                       java.lang.String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 W3C® (MIT, INRIA, Keio), All rights reserved.